Page MenuHomePhabricator

[libc++] Implement LWG 3158
ClosedPublic

Authored by ldionne on Jul 24 2019, 10:45 AM.

Details

Summary

LWG 3158 marks the allocator_arg_t constructor of std::tuple as
conditionnally explicit based on whether the default constructors
of the tuple's members are explicitly default constructible.

Diff Detail

Repository
rL LLVM

Event Timeline

ldionne created this revision.Jul 24 2019, 10:45 AM
mclow.lists accepted this revision.Sep 12 2019, 7:03 AM

This looks fine to me; please update www/cxx2a_status.html when you commit.

This revision is now accepted and ready to land.Sep 12 2019, 7:03 AM
Closed by commit rL372778: [libc++] Implement LWG 3158 (authored by ldionne, committed by ). · Explain WhySep 24 2019, 1:21 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 24 2019, 1:21 PM
ldionne reopened this revision.Sep 25 2019, 1:44 PM

This was reverted in r372832. I'm waiting to see the resolution of https://bugs.llvm.org/show_bug.cgi?id=43454 before I know what to do.

This revision is now accepted and ready to land.Sep 25 2019, 1:44 PM
ldionne updated this revision to Diff 221952.Sep 26 2019, 7:39 AM

Rebase on top of latest D65161 update

This revision was automatically updated to reflect the committed changes.